List soft-deleted artifacts (trash)
GET
/v1/artifacts/deleted
const url = 'https://shareout.site/v1/artifacts/deleted';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/artifacts/deleted \ --header 'Authorization: Bearer <token>'Soft-deleted artifacts still inside the 30-day recovery window that the caller can restore (their own, plus workspace-owned ones where they are an owner/admin). Each entry includes deleted_at and recoverable_until.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Trash contents
Media type application/json
object
artifacts
Array<object>
object
retention_days
integer
Example
{ "retention_days": 30}